From 93941219b8dc0f3f855c0d253b7102688f60d067 Mon Sep 17 00:00:00 2001
From: Francois-Xavier Coudert <fxcoudert@gcc.gnu.org>
Date: Wed, 15 Nov 2023 11:22:37 +0100
Subject: [PATCH] Testsuite: silence some noise in output

We introduced in commit a0673ec5f9236dca6ada23f28343c591ccd575e4
some noisy messages, which clutter output with things like:

  dg set al ...
  revised FFLAGS ...

and are not really useful information. Let's remove them.

gcc/testsuite/ChangeLog:

	* gfortran.dg/coarray/caf.exp: Remove some output.
	* gfortran.dg/dg.exp: Remove some output.
---
 gcc/testsuite/gfortran.dg/coarray/caf.exp | 1 -
 gcc/testsuite/gfortran.dg/dg.exp          | 3 ---
 2 files changed, 4 deletions(-)

diff --git a/gcc/testsuite/gfortran.dg/coarray/caf.exp b/gcc/testsuite/gfortran.dg/coarray/caf.exp
index a10b17a78d0..fab8238a0d5 100644
--- a/gcc/testsuite/gfortran.dg/coarray/caf.exp
+++ b/gcc/testsuite/gfortran.dg/coarray/caf.exp
@@ -81,7 +81,6 @@ if [check_effective_target_libatomic_available] {
 	}
     }
     set t [get_multilibs]
-    puts "maybe al $maybe_atomic_lib ml $t"
 }
 
 # Main loop.
diff --git a/gcc/testsuite/gfortran.dg/dg.exp b/gcc/testsuite/gfortran.dg/dg.exp
index 73541ea7301..22f2ffb405f 100644
--- a/gcc/testsuite/gfortran.dg/dg.exp
+++ b/gcc/testsuite/gfortran.dg/dg.exp
@@ -68,7 +68,6 @@ if [check_effective_target_libatomic_available] {
         set maybe_atomic_lib ""
     }
   set t [get_multilibs]
-  puts "dg set al $maybe_atomic_lib ml $t"
 }
 
 set all_flags $DEFAULT_FFLAGS
@@ -78,8 +77,6 @@ if { $maybe_atomic_lib != "" } {
    }
 }
 
-puts "revised FFLAGS $all_flags"
-
 # Main loop.
 gfortran-dg-runtest [lsort \
        [glob -nocomplain $srcdir/$subdir/*.\[fF\]{,90,95,03,08} ] ] "" $all_flags
-- 
2.39.3 (Apple Git-145)

